{% extends 'base.html' %}

{% block content %}


    {% if user_data %}
        <div class="container" xmlns="http://www.w3.org/1999/html">
            <div class="row justify-content-md-center">
                <div class="card">
                    <div class="card-header">
                        List Rooms :
                    </div>
                    <div class="card-body">
                        {% if roomdelete.room.errors %}
                            <div class="alert alert-danger" role="alert">
                                {% for error in roomdelete.room.errors %}
                                    {{ error }}
                                {% endfor %}
                            </div>
                        {% endif %}
                        <div class="row row-cols-1 row-cols-md-3 g-4">
                            {% for room in rooms %}
                                <div class="card">
                                    <div class="card-body">
                                        <h5 class="card-title">{{ room["key"]["name"] }}</h5>
                                        <p class="card-text">{{ room["desc"][:100] if room["desc"] else "No desc" }}</p>
                                        <p class="card-text">

                                            <a href="{{ url_for('booking', room=room["key"]["name"]) }}" >View and Book</a>
                                            {% if room["user"] == user_data["user_id"] %}
                                                <input type="image" src="/static/delete.png" width="20px" border="0" data-bs-toggle="modal" data-bs-target="#deleteModal" data-bs-room="{{ room["key"]["name"] }}" />
                                            {% endif %}
                                        </p>
                                    </div>
                                </div>
                            {% endfor %}
                        </div>
                        <div class="float-end">
                            <button id="buttonaddroom" type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#addroomModal">
                                Add a room
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row justify-content-md-center">
                <div class="card">
                    <div class="card-header">
                        Bookings,  filter : (room = {{ booksearch.name_room.data }}, mine = {{ booksearch.ismine.data }}, start date = {{ booksearch.date_start.data }}, end date = {{ booksearch.date_end.data }})
                    </div>
                    <div class="card-body">
                        <div class="col">

                            <div class="float-end">
                                <div class="accordion accordion-flush" id="accordionFlushExample">
                                    <div class="accordion-item">
                                        <h2 class="accordion-header" id="flush-headingOne">
                                            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#flush-collapseOne" aria-expanded="false" aria-controls="flush-collapseOne">
                                                Search
                                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-search" viewBox="0 0 16 16">
                                                    <path d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z"/>
                                                </svg>
                                            </button>
                                        </h2>
                                        <div id="flush-collapseOne" class="accordion-collapse collapse" aria-labelledby="flush-headingOne" data-bs-parent="#accordionFlushExample">
                                            <div class="accordion-body">
                                                <form action="/" method="post" id="form-search-booking">
                                                    <div class="row mb-4">
                                                        <div class="col-sm-2 col-form-label">
                                                            {{ booksearch.name_room.label }}
                                                        </div>
                                                        <div class="col-sm-4">
                                                            {{ booksearch.name_room(class="form-control") }}
                                                        </div>
                                                        <div class="col-sm-3 col-form-label">
                                                            {{ booksearch.ismine.label }}
                                                        </div>
                                                        <div class="col-sm-3">
                                                            {{ booksearch.ismine(type="checkbox", class="form-control form-check-input") }}
                                                        </div>
                                                    </div>
                                                    <div class="row mb-4">
                                                        <div class="col-sm-2 col-form-label">
                                                            Time Range :
                                                        </div>
                                                        <div class="col-sm-4">
                                                            {{ booksearch.date_start(class="form-control", type="datetime-local") }}
                                                        </div>
                                                        <div class="col-sm-4">
                                                            {{ booksearch.date_end(class="form-control", type="datetime-local") }}
                                                        </div>
                                                        <div class="col-sm-2">
                                                            {{ booksearch.csrf_token }}
                                                            <input type="submit" class="btn btn-primary" value="Search">
                                                        </div>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <ul class="list-group">
                        {% if hasbooking %}
                            <div class="container">
                                <li class="list-group-item list-group-item-dark">
                                    <div class="row">
                                        <div class="col col-lg-4">
                                            Start date
                                        </div>
                                        <div class="col col-lg-3">
                                            End date
                                        </div>
                                        <div class="col col-lg-3">
                                            Room
                                        </div>
                                        <div class="col col-lg-1"></div>
                                        <div class="col col-lg-1"></div>
                                    </div>
                                </li>
                                {% for booking in bookings %}
                                    <li class="list-group-item list-group-item-secondary">
                                        <div class="row">
                                            <div class="col col-lg-4">
                                                {{ booking["date_start"] }}
                                            </div>
                                            <div class="col col-lg-3">
                                                {{ booking["date_end"] }}
                                            </div>
                                            <div class="col col-lg-3">
                                                <a href="{{ url_for('booking', room=booking["room"]) }}" >{{ booking["room"] }}</a>
                                            </div>
                                            <div class="col col-lg-1">
                                                {% if booking["user"] == user_data["user_id"] %}
                                                    <form action="/editbooking" method="post" class="form-editbooking">
                                                        <input type="text" id="booking_id" name="booking_id" hidden value="{{ booking["key"]["id"] }}">
                                                        {{ deleteeditbooking.csrf_token }}
                                                        <input type="image" src="/static/edit.png" width="20px" border="0" alt="Submit" />
                                                    </form>
                                                {% endif %}
                                            </div>
                                            <div class="col col-lg-1">
                                                {% if booking["user"] == user_data["user_id"] %}
                                                    <input type="image" src="/static/delete.png" width="20px" border="0" data-bs-toggle="modal" data-bs-target="#deleteBookingModal" data-bs-booking="{{ booking["key"]["id"] }}" />
                                                {% endif %}
                                            </div>
                                        </div>
                                    </li>
                                {% endfor %}
                            </div>
                        {% else %}
                            <p>You dont have any booking yet</p>
                        {% endif %}
                    </ul>
                </div>
            </div>
        </div>

        <div class="modal fade" id="addroomModal" tabindex="-1" aria-labelledby="addroomModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-xl">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="addroomModalLabel">Add a Room</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>

                    <form action="addroom" method="post" id="form-addroom">
                        <div class="modal-body">
                            {{ render_field(form_add_room.name) }}
                            {{ render_field(form_add_room.desc) }}
                            {{ render_field(form_add_room.size) }}
                            {{ form_add_room.csrf_token }}
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                            <input type="submit" class="btn btn-primary" value="Submit">
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div class="modal fade" id="deleteModal" tabindex="-1" aria-labelledby="deleteModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="deleteModalLabel">Delete Room</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <form action="/deleteroom" method="post" class="form-deleteroom">
                        <div class="modal-body">
                            <p>Are you sure you want to delete this room ?</p>
                            <input type="text" id="room" name="room" hidden>
                        </div>
                        {{ roomdelete.csrf_token }}
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                            <input type="submit" class="btn btn-danger" value="Delete">
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div class="modal fade" id="deleteBookingModal" tabindex="-1" aria-labelledby="deleteBookingModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="deleteBookingModalLabel">Delete Booking</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <form action="/deletebooking" method="post" class="form-deletebooking">
                        <div class="modal-body">
                            <p>Are you sure you want to delete this booking ?</p>
                            <input type="text" id="booking_id" name="booking_id" hidden>
                        </div>
                        {{ deleteeditbooking.csrf_token }}
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                            <input type="submit" class="btn btn-danger" value="Delete">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    {% else %}
        <div class="container">
            <div class="row justify-content-md-center">
                <div class="col">
                    <p>You need to login for see the rooms</p>
                </div>
            </div>
        </div>
    {% endif %}

{% endblock %}